package com.kingdee.eas.custom.esign.task;

import com.kingdee.bos.BOSException;
import com.kingdee.bos.BOSObjectFactory;
import com.kingdee.bos.util.BOSObjectType;
import com.kingdee.bos.Context;

public class TaskOSFSericeFacadeFactory
{
    private TaskOSFSericeFacadeFactory()
    {
    }
    public static com.kingdee.eas.custom.esign.task.ITaskOSFSericeFacade getRemoteInstance() throws BOSException
    {
        return (com.kingdee.eas.custom.esign.task.ITaskOSFSericeFacade)BOSObjectFactory.createRemoteBOSObject(new BOSObjectType("6D4AC33D") ,com.kingdee.eas.custom.esign.task.ITaskOSFSericeFacade.class);
    }
    
    public static com.kingdee.eas.custom.esign.task.ITaskOSFSericeFacade getRemoteInstanceWithObjectContext(Context objectCtx) throws BOSException
    {
        return (com.kingdee.eas.custom.esign.task.ITaskOSFSericeFacade)BOSObjectFactory.createRemoteBOSObjectWithObjectContext(new BOSObjectType("6D4AC33D") ,com.kingdee.eas.custom.esign.task.ITaskOSFSericeFacade.class, objectCtx);
    }
    public static com.kingdee.eas.custom.esign.task.ITaskOSFSericeFacade getLocalInstance(Context ctx) throws BOSException
    {
        return (com.kingdee.eas.custom.esign.task.ITaskOSFSericeFacade)BOSObjectFactory.createBOSObject(ctx, new BOSObjectType("6D4AC33D"));
    }
    public static com.kingdee.eas.custom.esign.task.ITaskOSFSericeFacade getLocalInstance(String sessionID) throws BOSException
    {
        return (com.kingdee.eas.custom.esign.task.ITaskOSFSericeFacade)BOSObjectFactory.createBOSObject(sessionID, new BOSObjectType("6D4AC33D"));
    }
}